<a id="mypy-boto3-iotwireless"></a>

# mypy-boto3-iotwireless

[![PyPI - types-aiobotocore-iotwireless](https://img.shields.io/pypi/v/types-aiobotocore-iotwireless.svg?color=blue)](https://pypi.org/project/types-aiobotocore-iotwireless)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/types-aiobotocore-iotwireless.svg?color=blue)](https://pypi.org/project/types-aiobotocore-iotwireless)
[![Docs](https://img.shields.io/readthedocs/mypy-boto3-builder.svg?color=blue)](https://mypy-boto3-builder.readthedocs.io/)
[![PyPI - Downloads](https://img.shields.io/pypi/dm/types-aiobotocore-iotwireless?color=blue)](https://pypistats.org/packages/types-aiobotocore-iotwireless)

![boto3.typed](https://github.com/vemel/mypy_boto3_builder/raw/main/logo.png)

Type annotations for
[boto3.IoTWireless 1.20.47](https://boto3.amazonaws.com/v1/documentation/api/latest/reference/services/iotwireless.html#IoTWireless)
service compatible with [VSCode](https://code.visualstudio.com/),
[PyCharm](https://www.jetbrains.com/pycharm/),
[Emacs](https://www.gnu.org/software/emacs/),
[Sublime Text](https://www.sublimetext.com/),
[mypy](https://github.com/python/mypy),
[pyright](https://github.com/microsoft/pyright) and other tools.

Generated by
[mypy-boto3-builder 6.4.2](https://github.com/vemel/mypy_boto3_builder).

More information can be found on
[boto3-stubs](https://pypi.org/project/boto3-stubs/) page and in
[types-aiobotocore-iotwireless docs](https://vemel.github.io/types_aiobotocore_docs/types_aiobotocore_iotwireless/)

See how it helps to find and fix potential bugs:

![boto3-stubs demo](https://github.com/vemel/mypy_boto3_builder/raw/main/demo.gif)

- [mypy-boto3-iotwireless](#mypy-boto3-iotwireless)
  - [How to install](#how-to-install)
    - [VSCode extension](#vscode-extension)
    - [From PyPI with pip](#from-pypi-with-pip)
  - [Usage](#usage)
    - [VSCode](#vscode)
    - [PyCharm](#pycharm)
    - [Other IDEs](#other-ides)
    - [mypy](#mypy)
    - [pyright](#pyright)
  - [Explicit type annotations](#explicit-type-annotations)
    - [Client annotations](#client-annotations)
    - [Literals](#literals)
    - [Typed dictionaries](#typed-dictionaries)
  - [Versioning](#versioning)
  - [Documentation](#documentation)
  - [Support and contributing](#support-and-contributing)

<a id="how-to-install"></a>

## How to install

<a id="vscode-extension"></a>

### VSCode extension

Add
[AWS Boto3](https://marketplace.visualstudio.com/items?itemName=Boto3typed.boto3-ide)
extension to your VSCode and run `AWS boto3: Quick Start` command.

Click `Modify` and select `boto3 common` and `IoTWireless`.

<a id="from-pypi-with-pip"></a>

### From PyPI with pip

Install `types-aiobotocore` for `IoTWireless` service.

```bash
# install with aiobotocore type annotations
python -m pip install 'types-aiobotocore[iotwireless]'

# Lite version does not provide session.create_client overloads
# it is more RAM-friendly, but requires explicit type annotations
python -m pip install 'types-aiobotocore-lite[iotwireless]'

# standalone installation
python -m pip install types-aiobotocore-iotwireless
```

<a id="usage"></a>

## Usage

<a id="vscode"></a>

### VSCode

- Install
  [Python extension](https://marketplace.visualstudio.com/items?itemName=ms-python.python)
- Install
  [Pylance extension](https://marketplace.visualstudio.com/items?itemName=ms-python.vscode-pylance)
- Set `Pylance` as your Python Language Server
- Install `types-aiobotocore[iotwireless]` in your environment:
  `python -m pip install 'types-aiobotocore[iotwireless]'`

Both type checking and auto-complete should work for `IoTWireless` service. No
explicit type annotations required, write your `boto3` code as usual.

<a id="pycharm"></a>

### PyCharm

- Install `types-aiobotocore[iotwireless]` in your environment:
  `python -m pip install 'types-aiobotocore[iotwireless]'`

Both type checking and auto-complete should work for `IoTWireless` service. No
explicit type annotations required, write your `aiobotocore` code as usual.
Auto-complete can be slow on big projects or if you have a lot of installed
`types-aiobotocore` submodules.

<a id="other-ides"></a>

### Other IDEs

Not tested, but as long as your IDE supports `mypy` or `pyright`, everything
should work.

<a id="mypy"></a>

### mypy

- Install `mypy`: `python -m pip install mypy`
- Install `types-aiobotocore[iotwireless]` in your environment:
  `python -m pip install 'types-aiobotocore[iotwireless]'`
- Run `mypy` as usual

Type checking should work for `IoTWireless` service. No explicit type
annotations required, write your `aiobotocore` code as usual.

<a id="pyright"></a>

### pyright

- Install `pyright`: `yarn global add pyright`
- Install `types-aiobotocore[iotwireless]` in your environment:
  `python -m pip install 'types-aiobotocore[iotwireless]'`
- Optionally, you can install `boto3-stubs` to `typings` folder.

Type checking should work for `IoTWireless` service. No explicit type
annotations required, write your `aiobotocore` code as usual.

<a id="explicit-type-annotations"></a>

## Explicit type annotations

<a id="client-annotations"></a>

### Client annotations

`IoTWirelessClient` provides annotations for
`session.create_client("iotwireless")`.

```python
from aiobotocore.session import get_session

from types_aiobotocore_iotwireless import IoTWirelessClient

session = get_session()
async with session.create_client("iotwireless") as client:
    client: IoTWirelessClient
    # now client usage is checked by mypy and IDE should provide code auto-complete
```

<a id="literals"></a>

### Literals

`types_aiobotocore_iotwireless.literals` module contains literals extracted
from shapes that can be used in user code for type checking.

```python
from types_aiobotocore_iotwireless.literals import (
    BatteryLevelType,
    ConnectionStatusType,
    DeviceStateType,
    DlClassType,
    EventNotificationPartnerTypeType,
    EventNotificationTopicStatusType,
    EventType,
    ExpressionTypeType,
    FuotaDeviceStatusType,
    FuotaTaskStatusType,
    IdentifierTypeType,
    LogLevelType,
    MessageTypeType,
    PartnerTypeType,
    SigningAlgType,
    SupportedRfRegionType,
    WirelessDeviceEventType,
    WirelessDeviceFrameInfoType,
    WirelessDeviceIdTypeType,
    WirelessDeviceTypeType,
    WirelessGatewayEventType,
    WirelessGatewayIdTypeType,
    WirelessGatewayServiceTypeType,
    WirelessGatewayTaskDefinitionTypeType,
    WirelessGatewayTaskStatusType,
    WirelessGatewayTypeType,
    ServiceName,
)

def check_value(value: BatteryLevelType) -> bool:
    ...
```

<a id="typed-dictionaries"></a>

### Typed dictionaries

`types_aiobotocore_iotwireless.type_defs` module contains structures and shapes
assembled to typed dictionaries for additional type checking.

```python
from types_aiobotocore_iotwireless.type_defs import (
    AbpV1_0_xTypeDef,
    AbpV1_1TypeDef,
    AssociateAwsAccountWithPartnerAccountRequestRequestTypeDef,
    AssociateAwsAccountWithPartnerAccountResponseTypeDef,
    AssociateMulticastGroupWithFuotaTaskRequestRequestTypeDef,
    AssociateWirelessDeviceWithFuotaTaskRequestRequestTypeDef,
    AssociateWirelessDeviceWithMulticastGroupRequestRequestTypeDef,
    AssociateWirelessDeviceWithThingRequestRequestTypeDef,
    AssociateWirelessGatewayWithCertificateRequestRequestTypeDef,
    AssociateWirelessGatewayWithCertificateResponseTypeDef,
    AssociateWirelessGatewayWithThingRequestRequestTypeDef,
    CancelMulticastGroupSessionRequestRequestTypeDef,
    CertificateListTypeDef,
    CreateDestinationRequestRequestTypeDef,
    CreateDestinationResponseTypeDef,
    CreateDeviceProfileRequestRequestTypeDef,
    CreateDeviceProfileResponseTypeDef,
    CreateFuotaTaskRequestRequestTypeDef,
    CreateFuotaTaskResponseTypeDef,
    CreateMulticastGroupRequestRequestTypeDef,
    CreateMulticastGroupResponseTypeDef,
    CreateServiceProfileRequestRequestTypeDef,
    CreateServiceProfileResponseTypeDef,
    CreateWirelessDeviceRequestRequestTypeDef,
    CreateWirelessDeviceResponseTypeDef,
    CreateWirelessGatewayRequestRequestTypeDef,
    CreateWirelessGatewayResponseTypeDef,
    CreateWirelessGatewayTaskDefinitionRequestRequestTypeDef,
    CreateWirelessGatewayTaskDefinitionResponseTypeDef,
    CreateWirelessGatewayTaskRequestRequestTypeDef,
    CreateWirelessGatewayTaskResponseTypeDef,
    DeleteDestinationRequestRequestTypeDef,
    DeleteDeviceProfileRequestRequestTypeDef,
    DeleteFuotaTaskRequestRequestTypeDef,
    DeleteMulticastGroupRequestRequestTypeDef,
    DeleteServiceProfileRequestRequestTypeDef,
    DeleteWirelessDeviceRequestRequestTypeDef,
    DeleteWirelessGatewayRequestRequestTypeDef,
    DeleteWirelessGatewayTaskDefinitionRequestRequestTypeDef,
    DeleteWirelessGatewayTaskRequestRequestTypeDef,
    DestinationsTypeDef,
    DeviceProfileTypeDef,
    DeviceRegistrationStateEventConfigurationTypeDef,
    DisassociateAwsAccountFromPartnerAccountRequestRequestTypeDef,
    DisassociateMulticastGroupFromFuotaTaskRequestRequestTypeDef,
    DisassociateWirelessDeviceFromFuotaTaskRequestRequestTypeDef,
    DisassociateWirelessDeviceFromMulticastGroupRequestRequestTypeDef,
    DisassociateWirelessDeviceFromThingRequestRequestTypeDef,
    DisassociateWirelessGatewayFromCertificateRequestRequestTypeDef,
    DisassociateWirelessGatewayFromThingRequestRequestTypeDef,
    FPortsTypeDef,
    FuotaTaskTypeDef,
    GetDestinationRequestRequestTypeDef,
    GetDestinationResponseTypeDef,
    GetDeviceProfileRequestRequestTypeDef,
    GetDeviceProfileResponseTypeDef,
    GetFuotaTaskRequestRequestTypeDef,
    GetFuotaTaskResponseTypeDef,
    GetLogLevelsByResourceTypesResponseTypeDef,
    GetMulticastGroupRequestRequestTypeDef,
    GetMulticastGroupResponseTypeDef,
    GetMulticastGroupSessionRequestRequestTypeDef,
    GetMulticastGroupSessionResponseTypeDef,
    GetNetworkAnalyzerConfigurationRequestRequestTypeDef,
    GetNetworkAnalyzerConfigurationResponseTypeDef,
    GetPartnerAccountRequestRequestTypeDef,
    GetPartnerAccountResponseTypeDef,
    GetResourceEventConfigurationRequestRequestTypeDef,
    GetResourceEventConfigurationResponseTypeDef,
    GetResourceLogLevelRequestRequestTypeDef,
    GetResourceLogLevelResponseTypeDef,
    GetServiceEndpointRequestRequestTypeDef,
    GetServiceEndpointResponseTypeDef,
    GetServiceProfileRequestRequestTypeDef,
    GetServiceProfileResponseTypeDef,
    GetWirelessDeviceRequestRequestTypeDef,
    GetWirelessDeviceResponseTypeDef,
    GetWirelessDeviceStatisticsRequestRequestTypeDef,
    GetWirelessDeviceStatisticsResponseTypeDef,
    GetWirelessGatewayCertificateRequestRequestTypeDef,
    GetWirelessGatewayCertificateResponseTypeDef,
    GetWirelessGatewayFirmwareInformationRequestRequestTypeDef,
    GetWirelessGatewayFirmwareInformationResponseTypeDef,
    GetWirelessGatewayRequestRequestTypeDef,
    GetWirelessGatewayResponseTypeDef,
    GetWirelessGatewayStatisticsRequestRequestTypeDef,
    GetWirelessGatewayStatisticsResponseTypeDef,
    GetWirelessGatewayTaskDefinitionRequestRequestTypeDef,
    GetWirelessGatewayTaskDefinitionResponseTypeDef,
    GetWirelessGatewayTaskRequestRequestTypeDef,
    GetWirelessGatewayTaskResponseTypeDef,
    ListDestinationsRequestRequestTypeDef,
    ListDestinationsResponseTypeDef,
    ListDeviceProfilesRequestRequestTypeDef,
    ListDeviceProfilesResponseTypeDef,
    ListFuotaTasksRequestRequestTypeDef,
    ListFuotaTasksResponseTypeDef,
    ListMulticastGroupsByFuotaTaskRequestRequestTypeDef,
    ListMulticastGroupsByFuotaTaskResponseTypeDef,
    ListMulticastGroupsRequestRequestTypeDef,
    ListMulticastGroupsResponseTypeDef,
    ListPartnerAccountsRequestRequestTypeDef,
    ListPartnerAccountsResponseTypeDef,
    ListServiceProfilesRequestRequestTypeDef,
    ListServiceProfilesResponseTypeDef,
    ListTagsForResourceRequestRequestTypeDef,
    ListTagsForResourceResponseTypeDef,
    ListWirelessDevicesRequestRequestTypeDef,
    ListWirelessDevicesResponseTypeDef,
    ListWirelessGatewayTaskDefinitionsRequestRequestTypeDef,
    ListWirelessGatewayTaskDefinitionsResponseTypeDef,
    ListWirelessGatewaysRequestRequestTypeDef,
    ListWirelessGatewaysResponseTypeDef,
    LoRaWANDeviceMetadataTypeDef,
    LoRaWANDeviceProfileTypeDef,
    LoRaWANDeviceTypeDef,
    LoRaWANFuotaTaskGetInfoTypeDef,
    LoRaWANFuotaTaskTypeDef,
    LoRaWANGatewayCurrentVersionTypeDef,
    LoRaWANGatewayMetadataTypeDef,
    LoRaWANGatewayTypeDef,
    LoRaWANGatewayVersionTypeDef,
    LoRaWANGetServiceProfileInfoTypeDef,
    LoRaWANListDeviceTypeDef,
    LoRaWANMulticastGetTypeDef,
    LoRaWANMulticastMetadataTypeDef,
    LoRaWANMulticastSessionTypeDef,
    LoRaWANMulticastTypeDef,
    LoRaWANSendDataToDeviceTypeDef,
    LoRaWANServiceProfileTypeDef,
    LoRaWANStartFuotaTaskTypeDef,
    LoRaWANUpdateDeviceTypeDef,
    LoRaWANUpdateGatewayTaskCreateTypeDef,
    LoRaWANUpdateGatewayTaskEntryTypeDef,
    MulticastGroupByFuotaTaskTypeDef,
    MulticastGroupTypeDef,
    MulticastWirelessMetadataTypeDef,
    OtaaV1_0_xTypeDef,
    OtaaV1_1TypeDef,
    ProximityEventConfigurationTypeDef,
    PutResourceLogLevelRequestRequestTypeDef,
    ResetResourceLogLevelRequestRequestTypeDef,
    ResponseMetadataTypeDef,
    SendDataToMulticastGroupRequestRequestTypeDef,
    SendDataToMulticastGroupResponseTypeDef,
    SendDataToWirelessDeviceRequestRequestTypeDef,
    SendDataToWirelessDeviceResponseTypeDef,
    ServiceProfileTypeDef,
    SessionKeysAbpV1_0_xTypeDef,
    SessionKeysAbpV1_1TypeDef,
    SidewalkAccountInfoTypeDef,
    SidewalkAccountInfoWithFingerprintTypeDef,
    SidewalkDeviceMetadataTypeDef,
    SidewalkDeviceTypeDef,
    SidewalkEventNotificationConfigurationsTypeDef,
    SidewalkListDeviceTypeDef,
    SidewalkSendDataToDeviceTypeDef,
    SidewalkUpdateAccountTypeDef,
    StartBulkAssociateWirelessDeviceWithMulticastGroupRequestRequestTypeDef,
    StartBulkDisassociateWirelessDeviceFromMulticastGroupRequestRequestTypeDef,
    StartFuotaTaskRequestRequestTypeDef,
    StartMulticastGroupSessionRequestRequestTypeDef,
    TagResourceRequestRequestTypeDef,
    TagTypeDef,
    TestWirelessDeviceRequestRequestTypeDef,
    TestWirelessDeviceResponseTypeDef,
    TraceContentTypeDef,
    UntagResourceRequestRequestTypeDef,
    UpdateDestinationRequestRequestTypeDef,
    UpdateFuotaTaskRequestRequestTypeDef,
    UpdateLogLevelsByResourceTypesRequestRequestTypeDef,
    UpdateMulticastGroupRequestRequestTypeDef,
    UpdateNetworkAnalyzerConfigurationRequestRequestTypeDef,
    UpdatePartnerAccountRequestRequestTypeDef,
    UpdateResourceEventConfigurationRequestRequestTypeDef,
    UpdateWirelessDeviceRequestRequestTypeDef,
    UpdateWirelessGatewayRequestRequestTypeDef,
    UpdateWirelessGatewayTaskCreateTypeDef,
    UpdateWirelessGatewayTaskEntryTypeDef,
    WirelessDeviceEventLogOptionTypeDef,
    WirelessDeviceLogOptionTypeDef,
    WirelessDeviceStatisticsTypeDef,
    WirelessGatewayEventLogOptionTypeDef,
    WirelessGatewayLogOptionTypeDef,
    WirelessGatewayStatisticsTypeDef,
    WirelessMetadataTypeDef,
)

def get_structure() -> AbpV1_0_xTypeDef:
    return {
      ...
    }
```

<a id="versioning"></a>

## Versioning

`types-aiobotocore-iotwireless` version is the same as related `boto3` version
and follows [PEP 440](https://www.python.org/dev/peps/pep-0440/) format.

<a id="documentation"></a>

## Documentation

All type annotations can be found in
[types-aiobotocore-iotwireless docs](https://vemel.github.io/types_aiobotocore_docs/types_aiobotocore_iotwireless/)

<a id="support-and-contributing"></a>

## Support and contributing

This package is auto-generated. Please reports any bugs or request new features
in [mypy-boto3-builder](https://github.com/vemel/mypy_boto3_builder/issues/)
repository.
